Package com.documentum.fc.client.search

# Interface IExtendedObjectMappingDefinition

public interface IExtendedObjectMappingDefinition
Deprecated.
The preferred way is now to deploy the full-text mapping file directly in the Docbase in folder /System/Search/EOS

Moreover, the mapping for DQL is deprecated. Only Full-text mapping should be used.
Defines the structure of an 'extended object' for search queries.

The Search Service is capable of searching for a single type of objects. However, sometimes you want to search for an object and other objects related to it. 'Extended Object Search' allows exposing these related objects attributes as 'virtual attributes' or aliases of the root object.

This interface defines mapping definition (in XML format) that describes the structure of the extended objects and the alias they expose. Each extended object mapping definition contains a DQL and fullText representation and is associated to a root documentum object type.

This interface is to be implemented by a BOF module and deployed on a repository.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `getDQLMapping()`
  Deprecated.
  Gets the XML mapping definition for DQL (Database) Queries.
  `InputStream`
  `getFullTextMapping()`
  Deprecated.
  Gets the XML mapping definition for full text queries.
  `String`
  `getObjectTypeName()`
  Deprecated.
  Get the name of the type on which the mapping is defined

- ## Method Details

  - ### getDQLMapping

    InputStream getDQLMapping()
    Deprecated.
    Gets the XML mapping definition for DQL (Database) Queries.
    Returns:
      The XML definition of the mapping between object for DQL query generation.

  - ### getFullTextMapping

    InputStream getFullTextMapping()
    Deprecated.
    Gets the XML mapping definition for full text queries.
    Returns:
      The XML definition of the mapping between object for fulltext query generation.

  - ### getObjectTypeName

    String getObjectTypeName()
    Deprecated.
    Get the name of the type on which the mapping is defined
    Returns:
      The name of the object type that uses this mapping definition